pub mod ban{
    use teloxide::Bot;
    use teloxide::requests::Requester;
    use teloxide::types::{ChatId, InputFile, Message, MessageKind};

    pub async fn ban_user(
        replied_message: Option<&Message>,
        reason: Option<String>,
        bot: &Bot,
        chat_id: ChatId) -> Result<String, String>
    {
        if let None = replied_message {
            bot.send_message(
                chat_id,
                "Ответьте на сообщение человека, которого вы хотите забанить".to_string()
            ).await.unwrap();
            Err("Ответьте на сообщение человека, которого вы хотите забанить".to_string())
        } else if let None = reason {
            bot.send_message(chat_id, "Не указана причина бана").await
                .unwrap();
            Err("Не указана причина бана".to_string())
        } else {
            match &replied_message.unwrap().kind {
                MessageKind::Common(message) => {
                    if let None = message.from {
                        bot.send_message(chat_id, "Сообщение не найдено")
                            .await
                            .unwrap();
                        Err("Сообщение не найдено".to_string())
                    } else if let Some(user) = &message.from {
                        match bot.ban_chat_member(chat_id, user.id).await {
                            Ok(_) => {
                                bot.send_message(
                                    chat_id,
                                    format!("Пользователь {} был заблокирован по причине: \"{}\".\
                                    \n Совершился 🇺🇸🦅🦅📞📞📞🎺🇺🇸🦅🦅📞📞📞🎺 ⚠️⚠️⚠️DEMOCRATION \
                                    ALERT⚠️⚠️⚠️🇺🇸🦅🦅📞📞📞🎺🇺🇸🦅🦅📞📞📞🎺USA🇺🇸🦅🦅📞🇺🇸🦅🦅📞🇺🇸🦅🦅📞\
                                    📞📞🎺🇺🇸🦅🦅📞📞📞🎺 ⚠️⚠️⚠️DEMOCRATION ALERT⚠️⚠️⚠️🇺🇸🦅🦅📞📞📞🎺🇺🇸🦅🦅\
                                    📞📞📞🎺USA🇺🇸🦅🦅📞🇺🇸🦅🦅📞🇺🇸🦅🦅📞📞📞🎺🇺🇸🦅🦅📞📞📞🎺 ⚠️⚠️⚠️DEMOCRATION ALERT⚠️⚠️\
                                    ⚠️🇺🇸🦅🦅📞📞📞🎺🇺🇸🦅🦅📞📞📞🎺USA🇺🇸🦅🦅📞🇺🇸🦅🦅📞🇺🇸🦅🦅📞📞📞🎺🇺🇸🦅🦅📞📞📞🎺 \
                                    ⚠️⚠️⚠️DEMOCRATION ALERT⚠️⚠️⚠️🇺🇸🦅🦅📞📞📞🎺🇺🇸🦅🦅📞📞📞🎺USA🇺🇸🦅🦅📞🇺🇸🦅🦅📞",
                                            user.first_name,
                                            reason.unwrap()
                                    )
                                ).await.unwrap();
                                bot.send_sticker(
                                    chat_id,
                                    InputFile::file_id("CAACAgIAAxkBAAEpgPdlzmgotYp4CID3H4LjT7yLpboESQAC-UcAAt-sWUnzukc95MLxuTQE")
                                ).await.unwrap();
                                Ok("Демократия была совершена".to_string())
                            }
                            Err(error) => {
                                bot.send_message(chat_id, error.to_string())
                                    .await
                                    .unwrap();
                                Err(error.to_string())
                            }
                        }
                    } else {
                        bot.send_message(chat_id, "Ошибка номер хуй")
                            .await
                            .unwrap();
                        Err("Ошибка номер хуй".to_string())
                    }
                }
                _ => {
                    Err("тест".to_string())
                }
            }
        }
    }
}